
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpAsyncClient 4.0-beta3</title>
</head><body onload="loadPkgPane('HttpAsyncClient 4.0-beta3', 'pkg-app.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-asyncclient" target="_top">HttpAsyncClient 4.0-beta3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Thu Sep 27 2012 21:40:52 CEST</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Thu Sep 27 2012 21:40:43 CEST:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      1,405
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      5,259
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      680
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.78
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      510
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      3,562
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.48
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      9.07
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      372
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      36
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.83
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      5.12
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      41
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      8
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Thu Sep 27 2012 21:40:43 CEST:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      1,405
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      5,259
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      680
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.78
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      510
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      3,562
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.48
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      9.07
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      372
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      36
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.83
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      5.12
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      41
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      8
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='proj-risks.html'><img alt='Cloud icon for Clover database Thu Sep 27 2012 21:40:43 CEST' src='img/cloud.png'/></a>
	        <span class="sortValue">Clover&nbsp;database&nbsp;Thu&nbsp;Sep&nbsp;27&nbsp;2012&nbsp;21:40:43&nbsp;CEST</span>
    	   Clover&nbsp;database&nbsp;Thu&nbsp;Sep&nbsp;27&nbsp;2012&nbsp;21:40:43&nbsp;CEST
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.827957</span>
          1.83
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1138.0</span>
          1,138
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.50240487</span>
          50.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.50240487</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="49.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="50.2% Covered" class="barPositive " style="width: 50.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
                          <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/conn/ssl/pkg-risks.html'><img alt='Cloud icon for org.apache.http.nio.conn.ssl' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.conn.ssl</span>
    	  <a href="org/apache/http/nio/conn/ssl/pkg-summary.html" title="org.apache.http.nio.conn.ssl">org.apache.http.nio.conn.ssl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3478261</span>
          1.35
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">61.0</span>
          61
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.24691358</span>
          24.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.24691358</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="75.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="24.7% Covered" class="barPositive " style="width: 24.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/conn/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.nio.conn' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio.conn</span>
    	  <a href="org/apache/http/impl/nio/conn/pkg-summary.html" title="org.apache.http.impl.nio.conn">org.apache.http.impl.nio.conn</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">11.0</span>
          11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.751773</span>
          1.75
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">533.0</span>
          533
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.35472155</span>
          35.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.35472155</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="64.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="35.5% Covered" class="barPositive " style="width: 35.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/conn/scheme/pkg-risks.html'><img alt='Cloud icon for org.apache.http.nio.conn.scheme' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.conn.scheme</span>
    	  <a href="org/apache/http/nio/conn/scheme/pkg-summary.html" title="org.apache.http.nio.conn.scheme">org.apache.http.nio.conn.scheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8125</span>
          1.81
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">59.0</span>
          59
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.37894738</span>
          37.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.37894738</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="62.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="37.9% Covered" class="barPositive " style="width: 37.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/nio/client/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.nio.client' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.nio.client</span>
    	  <a href="org/apache/http/impl/nio/client/pkg-summary.html" title="org.apache.http.impl.nio.client">org.apache.http.impl.nio.client</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.1875</span>
          2.19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">379.0</span>
          379
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6194779</span>
          61.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6194779</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="38.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="61.9% Covered" class="barPositive " style="width: 61.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/client/methods/pkg-risks.html'><img alt='Cloud icon for org.apache.http.nio.client.methods' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.client.methods</span>
    	  <a href="org/apache/http/nio/client/methods/pkg-summary.html" title="org.apache.http.nio.client.methods">org.apache.http.nio.client.methods</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">7.0</span>
          7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4354838</span>
          1.44
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">104.0</span>
          104
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6312057</span>
          63.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6312057</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="36.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="63.1% Covered" class="barPositive " style="width: 63.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/nio/client/util/pkg-risks.html'><img alt='Cloud icon for org.apache.http.nio.client.util' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.nio.client.util</span>
    	  <a href="org/apache/http/nio/client/util/pkg-summary.html" title="org.apache.http.nio.client.util">org.apache.http.nio.client.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.71428573</span>
          71.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.71428573</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="28.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="71.4% Covered" class="barPositive " style="width: 71.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Thu Sep 27 2012 21:41:17 CEST</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
